/**
 * 替换vue文件key的表示，以解决转换报错
 * 比如将 :key="'type' + index" 转为 :key="type-${index}"
 * @example
 * ```ts
 * const testA  = ':key="\'templateList\' + index "';
   transformKey(testA);
   const testB  = ':key="index + \'templateList\'"';
   transformKey(testB);
   const testC = ' :key="memberIndex + \'blueindex\' "';
   transformKey(testC);
 * ```
 */
export declare function transformKey(this: any, source: string): string;
